import { defHttp } from '@/utils/http/axios';
enum Api {
  // 非法采矿接收办理
  LoadCaiKuangTaskList = '/api/DroneCaseInfoSatellite/LoadCaiKuangTaskList',
  // 添加收藏
  AddCaiKuangTaskFavorite = '/api/DroneCaseInfoSatellite/AddCaiKuangTaskFavorite',
  // 取消收藏
  DeleteCaiKuangTaskCase = '/api/DroneCaseInfoSatellite/DeleteCaiKuangTaskCase',
  // 非法采矿图斑列表
  LoadCaseInfoWpxfTuBanList = '/api/DroneCaseInfoSatellite/LoadCaseInfoWpxfTuBanList',
  // 非法采矿填报审核第一层
  LoadReportCaseCount = '/api/DroneCaseInfoSatellite/LoadReportCaseCount',
  // 非法采矿填报审核第二层
  LoadTaskDetailList = '/api/DroneCaseInfoSatellite/LoadTaskDetailList',
  // 非法采矿整改审核第一层
  LoadReformCaseCount = '/api/DroneCaseInfoSatellite/LoadReformCaseCount',
  // 非法采矿整改审核第二层
  LoadTaskIllegalDetailList = '/api/DroneCaseInfoSatellite/LoadTaskIllegalDetailList',
  // 案件详情
  GetCaseInfoById = '/api/DroneCaseInfoSatellite/GetCaseInfoById',
}
export function LoadCaiKuangTaskList(params) {
  return defHttp.get({ url: Api.LoadCaiKuangTaskList, params });
}
export function AddCaiKuangTaskFavorite(params?: { taskId: string; favoriteUserId: string }) {
  return defHttp.post({ url: Api.AddCaiKuangTaskFavorite, params });
}
export function DeleteCaiKuangTaskCase(params: string) {
  return defHttp.post({ url: Api.DeleteCaiKuangTaskCase, data: params });
}
export function LoadCaseInfoWpxfTuBanList(params) {
  return defHttp.get({
    url: Api.LoadCaseInfoWpxfTuBanList,
    params,
  });
}
export function LoadReportCaseCount(params) {
  return defHttp.get({ url: Api.LoadReportCaseCount, params });
}
export function LoadTaskDetailList(params) {
  return defHttp.get({ url: Api.LoadTaskDetailList, params });
}
export function LoadTaskIllegalDetailList(params) {
  return defHttp.get({ url: Api.LoadTaskIllegalDetailList, params });
}
export function LoadReformCaseCount(params) {
  return defHttp.get({ url: Api.LoadReformCaseCount, params });
}
export function GetCaseInfoById(params?: { id: string }) {
  return defHttp.get({ url: Api.GetCaseInfoById, params });
}